=head1 NAME

Gtk2::Gdk::Color

=cut

=for position DESCRIPTION

=head1 DESCRIPTION

Gdk's colors are 16-bit RGB values -- that is, the red, green, and blue
components are integer values from 0 to 65535, with 65535 meaning full
saturation.  If you are used to dealing with colors on the range of 0 to
255, just scale those numbers by a factor of 257 (yes, 257!).

=cut



=head1 HIERARCHY

  Glib::Boxed
  +----Gtk2::Gdk::Color



=cut


=head1 METHODS

=head2 color = Gtk2::Gdk::Color-E<gt>B<new> ($red, $green, $blue, $pixel=0)

=over

=item * $red (unsigned) 

=item * $green (unsigned) 

=item * $blue (unsigned) 

=item * $pixel (unsigned) 

=back

=head2 unsigned = $color-E<gt>B<blue> 

=head2 boolean = $colora-E<gt>B<equal> ($colorb)

=over

=item * $colorb (Gtk2::Gdk::Color) 

=back

=head2 unsigned = $color-E<gt>B<green> 

=head2 integer = $colora-E<gt>B<hash> 

=head2 color = Gtk2::Gdk::Color-E<gt>B<parse> ($spec)

=over

=item * $spec (string) 

=back

=head2 unsigned = $color-E<gt>B<pixel> 

=head2 unsigned = $color-E<gt>B<red> 

=head2 string = $color-E<gt>B<to_string> 

Since: gtk+ 2.11



=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Boxed>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

